local keySize = 42

CONTROLS = {
    mouse = {
        navigate = {
            all     = string.format("[[ui/common/key_icons/transparent/wasd.png;iconsize=%i,%i]]", keySize, keySize),
            up      = GetString("game.input.up"),
            down    = GetString("game.input.down"),
            left    = GetString("game.input.left"),
            right   = GetString("game.input.right"),
        },
        choose  = string.format("[[ui/common/key_icons/transparent/space.png;iconsize=%i,%i]]", keySize, keySize),
        exit    = string.format("[[ui/common/key_icons/transparent/esc.png;iconsize=%i,%i]]", keySize, keySize),
        info    = nil,
    },
    gamepad = {
        navigate = {
            all         = IsRunningOnXbox() and string.format("[[ui/gamepadbuttons/gdk/ui_icons_controls_xboxseries_dpad.png;iconsize=%i,%i]]", keySize, keySize) or string.format("[[ui/gamepadbuttons/psx/ui_icons_controls_ps5_dpad.png;iconsize=%i,%i]]", keySize, keySize),
            updown      = IsRunningOnXbox() and string.format("[[ui/gamepadbuttons/gdk/ui_icons_controls_xboxseries_dpad_updown.png;iconsize=%i,%i]]", keySize, keySize) or string.format("[[menu:gamepad_dpad_updown;iconsize=%i,%i]]", keySize, keySize),
            leftright   = IsRunningOnXbox() and string.format("[[ui/gamepadbuttons/gdk/ui_icons_controls_xboxseries_dpad_leftright.png;iconsize=%i,%i]]", keySize, keySize) or string.format("[[menu:gamepad_dpad_leftright;iconsize=%i,%i]]", keySize, keySize),
            up          = IsRunningOnXbox() and string.format("[[ui/gamepadbuttons/gdk/ui_icons_controls_xboxseries_dpad_up.png;iconsize=%i,%i]]", keySize, keySize) or string.format("[[menu:gamepad_dpad_up;iconsize=%i,%i]]", 28, 28),
            down        = IsRunningOnXbox() and string.format("[[ui/gamepadbuttons/gdk/ui_icons_controls_xboxseries_dpad_down.png;iconsize=%i,%i]]", keySize, keySize) or string.format("[[menu:gamepad_dpad_down;iconsize=%i,%i]]", 28, 28),
            left        = IsRunningOnXbox() and string.format("[[ui/gamepadbuttons/gdk/ui_icons_controls_xboxseries_dpad_left.png;iconsize=%i,%i]]", keySize, keySize) or string.format("[[menu:gamepad_dpad_left;iconsize=%i,%i]]", 28, 28),
            right       = IsRunningOnXbox() and string.format("[[ui/gamepadbuttons/gdk/ui_icons_controls_xboxseries_dpad_right.png;iconsize=%i,%i]]", keySize, keySize) or string.format("[[menu:gamepad_dpad_right;iconsize=%i,%i]]", 28, 28),
        },
        left    = string.format("[[menu:menu_prev;iconsize=%i,%i]]", keySize, keySize),
        right   = string.format("[[menu:menu_next;iconsize=%i,%i]]", keySize, keySize),
        choose  = string.format("[[menu:menu_accept;iconsize=%i,%i]]", keySize, keySize),
        back    = string.format("[[menu:menu_cancel;iconsize=%i,%i]]", keySize, keySize),
        info    = string.format("[[menu:gamepad_button_y;iconsize=%i,%i]]", keySize, keySize),
        restart = string.format("[[menu:menu_next;iconsize=%i,%i]]", keySize, keySize),
        gadget  = string.format("[[player:gamepad_button_x;iconsize=%i,%i]]", keySize, keySize),
    },
}
